diff --git a/changelog b/changelog
index a244a50..4916b6a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20080409 tpd src/input/Makefile add integration regression testing	
+20080409 tpd src/input/schaum24.input integrals of inverse trig functions
+20080409 tpd src/input/schaum23.input integrals of csc(ax)
+20080409 tpd src/input/schaum22.input integrals of sec(ax)
+20080409 tpd src/input/schaum21.input integrals of cot(ax)
+20080409 tpd src/input/schaum20.input integrals of tan(ax)
 20080408 tpd src/input/mapleok.input fix I->%i, reorganize
 20080406 tpd src/input/Makefile add integration regression testing
 20080406 tpd src/input/schaum19.input integrals of sin(ax) and cos(ax)
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 8170a48..c184fbe 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -359,7 +359,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
     schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
-    schaum17.regress  schaum18.regress schaum19.regress \
+    schaum17.regress  schaum18.regress schaum19.regress schaum20.regress \
+    schaum21.regress  schaum22.regress schaum23.regress schaum24.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -638,6 +639,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum11.input ${OUT}/schaum12.input   ${OUT}/schaum13.input \
        ${OUT}/schaum14.input ${OUT}/schaum15.input   ${OUT}/schaum16.input \
        ${OUT}/schaum17.input ${OUT}/schaum18.input   ${OUT}/schaum19.input \
+       ${OUT}/schaum20.input ${OUT}/schaum21.input   ${OUT}/schaum22.input \
+       ${OUT}/schaum23.input ${OUT}/schaum24.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -945,7 +948,9 @@ DOCFILES= \
   ${DOC}/schaum13.input.dvi    ${DOC}/schaum14.input.dvi \
   ${DOC}/schaum15.input.dvi    ${DOC}/schaum16.input.dvi \
   ${DOC}/schaum17.input.dvi    ${DOC}/schaum18.input.dvi \
-  ${DOC}/schaum19.input.dvi \
+  ${DOC}/schaum19.input.dvi    ${DOC}/schaum20.input.dvi \
+  ${DOC}/schaum21.input.dvi    ${DOC}/schaum22.input.dvi \
+  ${DOC}/schaum23.input.dvi    ${DOC}/schaum24.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum20.input.pamphlet b/src/input/schaum20.input.pamphlet
new file mode 100644
index 0000000..a25209e
--- /dev/null
+++ b/src/input/schaum20.input.pamphlet
@@ -0,0 +1,249 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum20.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.429~~~~~$\displaystyle
+\int{\tan{ax}}~dx$}
+$$\int{\tan{ax}}=
+-\frac{1}{a}\ln~\cos{ax}=
+\frac{1}{a}\ln~\sec{ax}
+$$
+<<*>>=
+)spool schaum20.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 11
+aa:=integrate(tan(a*x),x)
+--R 
+--R
+--R                    2
+--R        log(tan(a x)  + 1)
+--R   (1)  ------------------
+--R                2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.430~~~~~$\displaystyle
+\int{\tan^2{ax}}~dx$}
+$$\int{\tan^2{ax}}=
+\frac{\tan{ax}}{x}-x
+$$
+<<*>>=
+)clear all
+
+--S 2 of 11
+aa:=integrate(tan(a*x)^2,x)
+--R 
+--R
+--R        tan(a x) - a x
+--R   (1)  --------------
+--R               a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.431~~~~~$\displaystyle
+\int{\tan^3{ax}}~dx$}
+$$\int{\tan^3{ax}}=
+\frac{\tan^2{ax}}{2a}+\frac{1}{a}\ln~\cos{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 11
+aa:=integrate(tan(a*x)^3,x)
+--R 
+--R
+--R                      2                2
+--R        - log(tan(a x)  + 1) + tan(a x)
+--R   (1)  --------------------------------
+--R                       2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.432~~~~~$\displaystyle
+\int{\tan^n{ax}\sec^2{ax}}~dx$}
+$$\int{\tan^n{ax}\sec^2{ax}}=
+\frac{\tan^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 11
+aa:=integrate(tan(a*x)^n*sec(a*x)^2,x)
+--R 
+--R
+--R                        sin(a x)
+--R                  n log(--------)
+--R                        cos(a x)
+--R        sin(a x)%e
+--R   (1)  -------------------------
+--R            (a n + a)cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.433~~~~~$\displaystyle
+\int{\frac{\sec^2{ax}}{\tan{ax}}}~dx$}
+$$\int{\frac{\sec^2{ax}}{\tan{ax}}}=
+\frac{1}{a}\ln~\tan{ax}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 11
+aa:=integrate(sec(a*x)^2/tan(a*x),x)
+--R 
+--R
+--R              sin(a x)              2cos(a x)
+--R        log(------------) - log(- ------------)
+--R            cos(a x) + 1          cos(a x) + 1
+--R   (1)  ---------------------------------------
+--R                           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.434~~~~~$\displaystyle
+\int{\frac{dx}{\tan{ax}}}~dx$}
+$$\int{\frac{1}{\tan{ax}}}=
+\frac{1}{a}\ln~\sin{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 11
+aa:=integrate(1/tan(a*x),x)
+--R 
+--R
+--R                      2
+--R        - log(tan(a x)  + 1) + 2log(tan(a x))
+--R   (1)  -------------------------------------
+--R                          2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.435~~~~~$\displaystyle
+\int{x\tan{ax}}~dx$}
+$$\int{x\tan{ax}}=
+\frac{1}{a^2}\left\{\frac{(ax)^3}{3}+\frac{(ax)^5}{15}+\frac{2(ax)^7}{105}
++\cdots+\frac{2^{2n}(2^{2n}-1)B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 11
+aa:=integrate(x*tan(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %I tan(%I a)d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.436~~~~~$\displaystyle
+\int{\frac{\tan{ax}}{x}}~dx$}
+$$\int{\frac{\tan{ax}}{x}}=
+ax+\frac{(ax)^3}{9}+\frac{2(ax)^5}{75}+\cdots
++\frac{2^{2n}(2^{2n}-1)B_n(ax)^{2n-1}}{(2n-1)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 8 of 11
+aa:=integrate(tan(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  tan(%I a)
+--I   (1)   |   --------- d%I
+--I        ++       %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.437~~~~~$\displaystyle
+\int{x\tan^2{ax}}~dx$}
+$$\int{x\tan^2{ax}}=
+\frac{x\tan{ax}}{a}+\frac{1}{a^2}\ln~\cos{ax}-\frac{x^2}{2}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 11
+aa:=integrate(x*tan(a*x)^2,x)
+--R 
+--R
+--R                      2                         2 2
+--R        - log(tan(a x)  + 1) + 2a x tan(a x) - a x
+--R   (1)  -------------------------------------------
+--R                              2
+--R                            2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.438~~~~~$\displaystyle
+\int{\frac{dx}{p+q\tan{ax}}}~dx$}
+$$\int{\frac{1}{p+q\tan{ax}}}=
+\frac{px}{p^2+q^2}+\frac{q}{a(p^2+q^2)}\ln(q\sin{ax}+p\cos{ax})
+$$
+<<*>>=
+)clear all
+
+--S 10 of 11
+aa:=integrate(1/(p+q*tan(a*x)),x)
+--R 
+--R
+--R                        2
+--R        - q log(tan(a x)  + 1) + 2q log(q tan(a x) + p) + 2a p x
+--R   (1)  --------------------------------------------------------
+--R                                  2       2
+--R                              2a q  + 2a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.439~~~~~$\displaystyle
+\int{\tan^n{ax}}~dx$}
+$$\int{\tan^n{ax}}=
+\frac{\tan^{n-1}{ax}}{(n-1)a}-\int{\tan^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 11
+aa:=integrate(tan(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--I   (1)   |   tan(%I a) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p80
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum21.input.pamphlet b/src/input/schaum21.input.pamphlet
new file mode 100644
index 0000000..6e02ffe
--- /dev/null
+++ b/src/input/schaum21.input.pamphlet
@@ -0,0 +1,262 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum21.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.440~~~~~$\displaystyle
+\int{\cot{ax}}~dx$}
+$$\int{\cot{ax}}=
+\frac{1}{a}\ln\sin{ax}
+$$
+<<*>>=
+)spool schaum21.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 11
+aa:=integrate(cot(a*x),x)
+--R 
+--R
+--R               sin(2a x)                2
+--R        2log(-------------) - log(-------------)
+--R             cos(2a x) + 1        cos(2a x) + 1
+--R   (1)  ----------------------------------------
+--R                           2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.441~~~~~$\displaystyle
+\int{\cot^2{ax}}~dx$}
+$$\int{\cot^2{ax}}=
+-\frac{\cot{ax}}{a}-x
+$$
+<<*>>=
+)clear all
+
+--S 2 of 11
+aa:=integrate(cot(a*x)^2,x)
+--R 
+--R
+--R        - a x sin(2a x) - cos(2a x) - 1
+--R   (1)  -------------------------------
+--R                  a sin(2a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.442~~~~~$\displaystyle
+\int{\cot^3{ax}}~dx$}
+$$\int{\cot^3{ax}}=
+-\frac{\cot^2{ax}}{2a}-\frac{1}{a}\ln\sin{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 11
+aa:=integrate(cot(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R                               sin(2a x)                               2
+--R       (- 2cos(2a x) + 2)log(-------------) + (cos(2a x) - 1)log(-------------)
+--R                             cos(2a x) + 1                       cos(2a x) + 1
+--R     + 
+--R       cos(2a x) + 1
+--R  /
+--R     2a cos(2a x) - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.443~~~~~$\displaystyle
+\int{\cot^n{ax}\csc^2{ax}}~dx$}
+$$\int{\cot^n{ax}\csc^2{ax}}=
+-\frac{\cot^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 11
+aa:=integrate(cot(a*x)^n*csc(a*x)^2,x)
+--R 
+--R
+--R                          cos(a x)
+--R                    n log(--------)
+--R                          sin(a x)
+--R          cos(a x)%e
+--R   (1)  - -------------------------
+--R              (a n + a)sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.444~~~~~$\displaystyle
+\int{\frac{\csc^2{ax}}{\cot{ax}}}~dx$}
+$$\int{\frac{\csc^2{ax}}{\cot{ax}}}=
+-\frac{1}{a}\ln\cot{ax}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 11
+aa:=integrate(csc(a*x)^2/cot(a*x),x)
+--R 
+--R
+--R              sin(a x)              2cos(a x)
+--R        log(------------) - log(- ------------)
+--R            cos(a x) + 1          cos(a x) + 1
+--R   (1)  ---------------------------------------
+--R                           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.445~~~~~$\displaystyle
+\int{\frac{dx}{\cot{ax}}}~dx$}
+$$\int{\frac{1}{\cot{ax}}}=
+-\frac{1}{a}\ln\cos{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 11
+aa:=integrate(1/cot(a*x),x)
+--R 
+--R
+--R                  2
+--R        log(-------------)
+--R            cos(2a x) + 1
+--R   (1)  ------------------
+--R                2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.446~~~~~$\displaystyle
+\int{x\cot{ax}}~dx$}
+$$\int{x\cot{ax}}=
+\frac{1}{a^2}\left\{ax
+-\frac{(ax)^3}{9}-\frac{(ax)^5}{225}
+-\cdots-\frac{2^{2n}B_n(ax)^{2n+1}}{(2n+1)!}-\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 11
+aa:=integrate(x*cot(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %I cot(%I a)d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.447~~~~~$\displaystyle
+\int{\frac{\cot{ax}}{x}}~dx$}
+$$\int{\frac{\cot{ax}}{x}}=
+-\frac{1}{ax}-\frac{ax}{3}-\frac{(ax)^3}{135}-\cdots
+-\frac{2^{2n}B_n(ax)^{2n-1}}{(2n-1)(2n)!}-\cdots
+$$
+<<*>>=
+)clear all
+
+--S 8 of 11
+aa:=integrate(cot(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  cot(%I a)
+--I   (1)   |   --------- d%I
+--I        ++       %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.448~~~~~$\displaystyle
+\int{x\cot^2{ax}}~dx$}
+$$\int{x\cot^2{ax}}=
+-\frac{x\cot{ax}}{a}+\frac{1}{a^2}\ln\sin{ax}-\frac{x^2}{2}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 11
+aa:=integrate(x*cot(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                       sin(2a x)                         2
+--R       2sin(2a x)log(-------------) - sin(2a x)log(-------------)
+--R                     cos(2a x) + 1                 cos(2a x) + 1
+--R     + 
+--R          2 2
+--R       - a x sin(2a x) - 2a x cos(2a x) - 2a x
+--R  /
+--R       2
+--R     2a sin(2a x)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.449~~~~~$\displaystyle
+\int{\frac{dx}{p+q\cot{ax}}}~dx$}
+$$\int{\frac{1}{p+q\cot{ax}}}=
+\frac{px}{p^2+q^2}-\frac{q}{a(p^2+q^2)}\ln(p\sin{ax}+q\cos{ax})
+$$
+<<*>>=
+)clear all
+
+--S 10 of 11
+aa:=integrate(1/(p+q*cot(a*x)),x)
+--R 
+--R
+--R   (1)
+--R            p sin(2a x) + q cos(2a x) + q                2
+--R   - 2q log(-----------------------------) + q log(-------------) + 2a p x
+--R                    cos(2a x) + 1                  cos(2a x) + 1
+--R   -----------------------------------------------------------------------
+--R                                    2       2
+--R                                2a q  + 2a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.450~~~~~$\displaystyle
+\int{\cot^n{ax}}~dx$}
+$$\int{\cot^n{ax}}=
+-\frac{\cot^{n-1}{ax}}{(n-1)a}-\int{\cos^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 11
+aa:=integrate(cot(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--I   (1)   |   cot(%I a) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p81
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum22.input.pamphlet b/src/input/schaum22.input.pamphlet
new file mode 100644
index 0000000..66befb9
--- /dev/null
+++ b/src/input/schaum22.input.pamphlet
@@ -0,0 +1,254 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum22.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.451~~~~~$\displaystyle
+\int{\sec{ax}}~dx$}
+$$\int{\sec{ax}}=
+\frac{1}{a}\ln(\sec{ax}+\tan{ax})=
+\frac{1}{a}\ln\tan\left(\frac{ax}{2}+\frac{\pi}{4}\right)
+$$
+<<*>>=
+)spool schaum22.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 10
+aa:=integrate(sec(a*x),x)
+--R 
+--R
+--R            sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R        log(-----------------------) - log(-----------------------)
+--R                  cos(a x) + 1                   cos(a x) + 1
+--R   (1)  -----------------------------------------------------------
+--R                                     a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.452~~~~~$\displaystyle
+\int{\sec^2{ax}}~dx$}
+$$\int{\sec^2{ax}}=
+\frac{\tan{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 10
+aa:=integrate(sec(a*x)^2,x)
+--R 
+--R
+--R         sin(a x)
+--R   (1)  ----------
+--R        a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.453~~~~~$\displaystyle
+\int{\sec^3{ax}}~dx$}
+$$\int{\sec^3{ax}}=
+\frac{\sec{ax}\tan{ax}}{2a}+\frac{1}{2a}\ln(\sec{ax}+\tan{ax})
+$$
+<<*>>=
+)clear all
+
+--S 3 of 10
+aa:=integrate(sec(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R               2    sin(a x) + cos(a x) + 1
+--R       cos(a x) log(-----------------------)
+--R                          cos(a x) + 1
+--R     + 
+--R                 2    sin(a x) - cos(a x) - 1
+--R       - cos(a x) log(-----------------------) + sin(a x)
+--R                            cos(a x) + 1
+--R  /
+--R                2
+--R     2a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.454~~~~~$\displaystyle
+\int{\sec^n{ax}\tan{ax}}~dx$}
+$$\int{\sec^n{ax}\tan{ax}}=
+\frac{\sec^n{ax}}{na}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 10
+aa:=integrate(sec(a*x)^n*tan(a*x),x)
+--R
+--R                    1
+--R          n log(---------)
+--R                        2
+--R                cos(a x)
+--R          ----------------
+--R                  2
+--R        %e
+--R   (1)  ------------------
+--R                a n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.455~~~~~$\displaystyle
+\int{\frac{dx}{\sec{ax}}}~dx$}
+$$\int{\frac{1}{\sec{ax}}}=
+\frac{\sin{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 10
+aa:=integrate(1/sec(a*x),x)
+--R 
+--R
+--R        sin(a x)
+--R   (1)  --------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.456~~~~~$\displaystyle
+\int{x\sec{ax}}~dx$}
+$$\int{x\sec{ax}}=
+\frac{1}{a^2}\left\{\frac{(ax)^2}{2}+\frac{(ax)^4}{8}+\frac{5(ax)^6}{144}
++\cdots+\frac{E_n(ax)^{2n+2}}{(2n+2)(2n)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 10
+aa:=integrate(x*sec(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %N sec(%N a)d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.457~~~~~$\displaystyle
+\int{\frac{\sec{ax}}{x}}~dx$}
+$$\int{\frac{\sec{ax}}{x}}=
+\ln{x}+\frac{(ax)^2}{4}+\frac{5(ax)^4}{96}+\frac{61(ax)^6}{4320}
++\cdots+\frac{E_n(ax)^{2n}}{(2n)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 7 of 10
+aa:=integrate(sec(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  sec(%N a)
+--I   (1)   |   --------- d%N
+--I        ++       %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.458~~~~~$\displaystyle
+\int{x\sec^2{ax}}~dx$}
+$$\int{x\sec^2{ax}}=
+\frac{x}{a}\tan{ax}+\frac{1}{a^2}\ln\cos{ax}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 10
+aa:=integrate(x*sec(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                       2                         2cos(a x)
+--R   - cos(a x)log(------------) + cos(a x)log(- ------------) + a x sin(a x)
+--R                 cos(a x) + 1                  cos(a x) + 1
+--R   ------------------------------------------------------------------------
+--R                                   2
+--R                                  a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.459~~~~~$\displaystyle
+\int{\frac{dx}{q+p\sec{ax}}}~dx$}
+$$\int{\frac{1}{q+p\sec{ax}}}=
+\frac{x}{q}-\frac{p}{q}\int{\frac{dx}{p+q\cos{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 10
+aa:=integrate(1/(q+p*sec(a*x)),x)
+--R 
+--R
+--R   (1)
+--R                             +-------+
+--R                             | 2    2      2    2                 +-------+
+--R          (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)        | 2    2
+--R    p log(------------------------------------------------) + a x\|q  - p
+--R                           q cos(a x) + p
+--R   [-----------------------------------------------------------------------,
+--R                                     +-------+
+--R                                     | 2    2
+--R                                 a q\|q  - p
+--R                         +---------+
+--R                         |   2    2          +---------+
+--R                sin(a x)\|- q  + p           |   2    2
+--R    - 2p atan(-----------------------) + a x\|- q  + p
+--R              (q + p)cos(a x) + q + p
+--R    ----------------------------------------------------]
+--R                           +---------+
+--R                           |   2    2
+--R                       a q\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.460~~~~~$\displaystyle
+\int{\sec^n{ax}}~dx$}
+$$\int{\sec^n{ax}}=
+\frac{\sec^{n-2}{ax}\tan{ax}}{a(n-1)}
++\frac{n-2}{n-1}\int{\sec^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 10
+aa:=integrate(sec(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--I   (1)   |   sec(%N a) d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp81-82
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum23.input.pamphlet b/src/input/schaum23.input.pamphlet
new file mode 100644
index 0000000..679e775
--- /dev/null
+++ b/src/input/schaum23.input.pamphlet
@@ -0,0 +1,262 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum23.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.461~~~~~$\displaystyle
+\int{\csc{ax}}~dx$}
+$$\int{\csc{ax}}=
+\frac{1}{a}\ln(\csc{ax}-\cot{ax})=
+\frac{1}{a}\ln\tan{\frac{ax}{2}}
+$$
+<<*>>=
+)spool schaum23.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 10
+aa:=integrate(csc(a*x),x)
+--R 
+--R
+--R              sin(a x)
+--R        log(------------)
+--R            cos(a x) + 1
+--R   (1)  -----------------
+--R                a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.462~~~~~$\displaystyle
+\int{\csc^2{ax}}~dx$}
+$$\int{\csc^2{ax}}=
+-\frac{\cot{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 10
+aa:=integrate(csc(a*x)^2,x)
+--R 
+--R
+--R           cos(a x)
+--R   (1)  - ----------
+--R          a sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.463~~~~~$\displaystyle
+\int{\csc^3{ax}}~dx$}
+$$\int{\csc^3{ax}}=
+-\frac{\csc{ax}\cot{ax}}{2a}+\frac{1}{2a}\ln\tan{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 10
+aa:=integrate(csc(a*x)^3,x)
+--R 
+--R
+--R                 2           sin(a x)
+--R        (cos(a x)  - 1)log(------------) + cos(a x)
+--R                           cos(a x) + 1
+--R   (1)  -------------------------------------------
+--R                                2
+--R                     2a cos(a x)  - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.464~~~~~$\displaystyle
+\int{\csc^n{ax}\cot{ax}}~dx$}
+$$\int{\csc^n{ax}\cot{ax}}=
+-\frac{csc^n{ax}}{na}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 10
+aa:=integrate(csc(a*x)^n*cot(a*x),x)
+--R 
+--R
+--R                          1
+--R            n log(- -------------)
+--R                            2
+--R                    cos(a x)  - 1
+--R            ----------------------
+--R                       2
+--R          %e
+--R   (1)  - ------------------------
+--R                     a n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.465~~~~~$\displaystyle
+\int{\frac{dx}{\csc{ax}}}~dx$}
+$$\int{\frac{1}{\csc{ax}}}=
+-\frac{\cos{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 10
+aa:=integrate(1/csc(a*x),x)
+--R 
+--R
+--R          cos(a x)
+--R   (1)  - --------
+--R              a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.466~~~~~$\displaystyle
+\int{x\csc{ax}}~dx$}
+$$\int{x\csc{ax}}=
+\frac{1}{a^2}\left\{ax+\frac{(ax)^3}{18}+\frac{7(ax)^5}{1800}
++\cdots+\frac{2(2^{2n-1}-1)B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 10
+aa:=integrate(x*csc(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %H csc(%H a)d%H
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.467~~~~~$\displaystyle
+\int{\frac{\csc{ax}}{x}}~dx$}
+$$\int{\frac{\csc{ax}}{x}}=
+-\frac{1}{ax}+\frac{(ax)}{6}+\frac{7(ax)^3}{1800}
++\cdots+\frac{2(2^{2n-1}-1)B_n(ax)^{2n-1}}{(2n-1)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 7 of 10
+aa:=integrate(csc(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  csc(%H a)
+--I   (1)   |   --------- d%H
+--I        ++       %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.468~~~~~$\displaystyle
+\int{x\csc^2{ax}}~dx$}
+$$\int{x\csc^2{ax}}=
+-\frac{x\cot{ax}}{a}+\frac{1}{a^2}\ln\sin{ax}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 10
+aa:=integrate(x*csc(a*x)^2,x)
+--R 
+--R
+--R                      sin(a x)                        2
+--R        sin(a x)log(------------) - sin(a x)log(------------) - a x cos(a x)
+--R                    cos(a x) + 1                cos(a x) + 1
+--R   (1)  --------------------------------------------------------------------
+--R                                      2
+--R                                     a sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.469~~~~~$\displaystyle
+\int{\frac{dx}{q+p\csc{ax}}}~dx$}
+$$\int{\frac{1}{q+p\csc{ax}}}=
+\frac{x}{q}-\frac{p}{q}\int{\frac{1}{p+q\sin{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 10
+aa:=integrate(1/(q+p*csc(a*x)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R           p
+--R        *
+--R           log
+--R                                                          +-------+
+--R                                    2    2             2  | 2    2
+--R                  (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R                + 
+--R                      2    3              3    2              3    2
+--R                  (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R             /
+--R                q sin(a x) + p
+--R       + 
+--R             +-------+
+--R             | 2    2
+--R         a x\|q  - p
+--R    /
+--R           +-------+
+--R           | 2    2
+--R       a q\|q  - p
+--R     ,
+--R                                          +---------+
+--R                                          |   2    2         +---------+
+--R            (p sin(a x) + q cos(a x) + q)\|- q  + p          |   2    2
+--R    2p atan(-----------------------------------------) + a x\|- q  + p
+--R                     2    2             2    2
+--R                   (q  - p )cos(a x) + q  - p
+--R    --------------------------------------------------------------------]
+--R                                   +---------+
+--R                                   |   2    2
+--R                               a q\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.470~~~~~$\displaystyle
+\int{\csc^n{ax}}~dx$}
+$$\int{\csc^n{ax}}=
+-\frac{\csc^{n-2}{ax}\cot{ax}}{a(n-1)}
++\frac{n-2}{n-1}\int{\csc^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 10
+aa:=integrate(csc(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--I   (1)   |   csc(%H a) d%H
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p82
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum24.input.pamphlet b/src/input/schaum24.input.pamphlet
new file mode 100644
index 0000000..1a6b60a
--- /dev/null
+++ b/src/input/schaum24.input.pamphlet
@@ -0,0 +1,1036 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum24.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.471~~~~~$\displaystyle
+\int{\sin^{-1}{\frac{x}{a}}}~dx$}
+$$\int{\sin^{-1}{\frac{x}{a}}}=
+x\sin^{-1}{\frac{x}{a}}+\sqrt{a^2-x^2}
+$$
+<<*>>=
+)spool schaum24.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 38
+aa:=integrate(asin(x/a),x)
+--R 
+--R
+--R                    +---------+
+--R                    |   2    2       +---------+
+--R                 2x\|- x  + a        |   2    2
+--R        - x atan(--------------) + 2\|- x  + a
+--R                      2    2
+--R                    2x  - a
+--R   (1)  ----------------------------------------
+--R                            2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.472~~~~~$\displaystyle
+\int{x\sin^{-1}{\frac{x}{a}}}~dx$}
+$$\int{x\sin^{-1}{\frac{x}{a}}}=
+\left(\frac{x^2}{2}-\frac{a^2}{4}\right)\sin^{-1}{\frac{x}{a}}
++\frac{x\sqrt{a^2-x^2}}{4}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 38
+aa:=integrate(x*asin(x/a),x)
+--R 
+--R
+--R                            +---------+
+--R                            |   2    2        +---------+
+--R             2    2      2x\|- x  + a         |   2    2
+--R        (- 2x  + a )atan(--------------) + 2x\|- x  + a
+--R                              2    2
+--R                            2x  - a
+--R   (1)  -------------------------------------------------
+--R                                8
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.473~~~~~$\displaystyle
+\int{x^2\sin^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\sin^{-1}\frac{x}{a}}=
+\frac{x^3}{3}\sin^{-1}\frac{x}{a}+\frac{(x^2+2a^2)\sqrt{a^2-x^2}}{9}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 38
+aa:=integrate(x^2*asin(x/a),x)
+--R 
+--R
+--R                     +---------+
+--R                     |   2    2                 +---------+
+--R            3     2x\|- x  + a         2     2  |   2    2
+--R        - 3x atan(--------------) + (2x  + 4a )\|- x  + a
+--R                       2    2
+--R                     2x  - a
+--R   (1)  ---------------------------------------------------
+--R                                 18
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.474~~~~~$\displaystyle
+\int{\frac{\sin^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\sin^{-1}(x/a)}{x}}=
+\frac{x}{a}+\frac{(x/a)^3}{2\cdot 3\cdot 3}
++\frac{1\cdot 3(x/a)^5}{2\cdot 4\cdot 5\cdot 5}
++\frac{1\cdot 3\cdot 5(x/a)^7}{2\cdot 4\cdot 6\cdot 7\cdot 7}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 4 of 38
+aa:=integrate(asin(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x asin(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.475~~~~~$\displaystyle
+\int{\frac{\sin^{-1}{(x/a)}}{x^2}}~dx$}
+$$\int{\frac{\sin^{-1}{(x/a)}}{x^2}}=
+-\frac{\sin^{-1}(x/a)}{x}
+-\frac{1}{a}\ln\left(\frac{a+\sqrt{a^2-x^2}}{x}\right)
+$$
+<<*>>=
+)clear all
+
+--S 5 of 38
+aa:=integrate(asin(x/a)/x^2,x)
+--R 
+--R
+--R   (1)
+--R                                                                   +---------+
+--R            +---------+               +---------+                  |   2    2
+--R            |   2    2                |   2    2                2x\|- x  + a
+--R   - x log(\|- x  + a   + a) + x log(\|- x  + a   - a) + a atan(--------------)
+--R                                                                     2    2
+--R                                                                   2x  - a
+--R   ----------------------------------------------------------------------------
+--R                                       2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.476~~~~~$\displaystyle
+\int{\left(sin^{-1}\frac{x}{a}\right)^2}~dx$}
+$$\int{\left(sin^{-1}\frac{x}{a}\right)^2}=
+x\left(\sin^{-1}\frac{x}{a}\right)^2-2x+2\sqrt{a^2-x^2}\sin^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 38
+aa:=integrate(asin(x/a)^2,x)
+--R 
+--R
+--R                  +---------+ 2                        +---------+
+--R                  |   2    2        +---------+        |   2    2
+--R               2x\|- x  + a         |   2    2      2x\|- x  + a
+--R        x atan(--------------)  - 4\|- x  + a  atan(--------------) - 8x
+--R                    2    2                               2    2
+--R                  2x  - a                              2x  - a
+--R   (1)  ----------------------------------------------------------------
+--R                                        4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.477~~~~~$\displaystyle
+\int{\cos^{-1}\frac{x}{a}}~dx$}
+$$\int{\cos^{-1}\frac{x}{a}}=
+x\cos^{-1}\frac{x}{a}-\sqrt{a^2-x^2}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 38
+aa:=integrate(acos(x/a),x)
+--R 
+--R
+--R                  +---------+
+--R                  |   2    2       +---------+
+--R               2x\|- x  + a        |   2    2
+--R        x atan(--------------) - 2\|- x  + a
+--R                    2    2
+--R                  2x  - a
+--R   (1)  --------------------------------------
+--R                           2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.478~~~~~$\displaystyle
+\int{x\cos^{-1}\frac{x}{a}}~dx$}
+$$\int{x\cos^{-1}\frac{x}{a}}=
+\left(\frac{x^2}{2}-\frac{a^2}{4}\right)\cos^{-1}\frac{x}{a}
+-\frac{x\sqrt{a^2-x^2}}{4}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 38
+aa:=integrate(x*acos(x/a),x)
+--R 
+--R
+--R                          +---------+
+--R                          |   2    2        +---------+
+--R           2    2      2x\|- x  + a         |   2    2
+--R        (2x  - a )atan(--------------) - 2x\|- x  + a
+--R                            2    2
+--R                          2x  - a
+--R   (1)  -----------------------------------------------
+--R                               8
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.479~~~~~$\displaystyle
+\int{x^2\cos^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\cos^{-1}\frac{x}{a}}=
+\frac{x^3}{3}\cos^{-1}\frac{x}{a}-\frac{(x^2+2a^2)\sqrt{a^2-x^2}}{9}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 38
+aa:=integrate(x^2*acos(x/a),x)
+--R 
+--R
+--R                   +---------+
+--R                   |   2    2                   +---------+
+--R          3     2x\|- x  + a           2     2  |   2    2
+--R        3x atan(--------------) + (- 2x  - 4a )\|- x  + a
+--R                     2    2
+--R                   2x  - a
+--R   (1)  ---------------------------------------------------
+--R                                 18
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.480~~~~~$\displaystyle
+\int{\frac{\cos^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\cos^{-1}(x/a)}{x}}=
+\frac{x}{2}\ln{x}-\int{\frac{\sin^{-1}(x/a)}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 38
+aa:=integrate(acos(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x acos(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.481~~~~~$\displaystyle
+\int{\frac{\cos^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\cos^{-1}(x/a)}{x^2}}=
+-\frac{\cos^{-1}(x/a)}{x}+\frac{1}{a}\ln\left(\frac{a+\sqrt{a^2-x^2}}{x}\right)
+$$
+<<*>>=
+)clear all
+
+--S 11 of 38
+aa:=integrate(acos(x/a)/x^2,x)
+--R 
+--R
+--R   (1)
+--R                                                                 +---------+
+--R          +---------+               +---------+                  |   2    2
+--R          |   2    2                |   2    2                2x\|- x  + a
+--R   x log(\|- x  + a   + a) - x log(\|- x  + a   - a) - a atan(--------------)
+--R                                                                   2    2
+--R                                                                 2x  - a
+--R   --------------------------------------------------------------------------
+--R                                      2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.482~~~~~$\displaystyle
+\int{\left(\cos^{-1}\frac{x}{a}\right)^2}~dx$}
+$$\int{\left(\cos^{-1}\frac{x}{a}\right)^2}=
+x\left(\cos^{-1}\frac{x}{a}\right)^2-2x-2\sqrt{a^2-x^2}\cos^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 38
+aa:=integrate(acos(x/a)^2,x)
+--R 
+--R
+--R                  +---------+ 2                        +---------+
+--R                  |   2    2        +---------+        |   2    2
+--R               2x\|- x  + a         |   2    2      2x\|- x  + a
+--R        x atan(--------------)  - 4\|- x  + a  atan(--------------) - 8x
+--R                    2    2                               2    2
+--R                  2x  - a                              2x  - a
+--R   (1)  ----------------------------------------------------------------
+--R                                        4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.483~~~~~$\displaystyle
+\int{\tan^{-1}\frac{x}{a}}~dx$}
+$$\int{\tan^{-1}\frac{x}{a}}=
+x\tan^{-1}\frac{x}{a}-\frac{a}{2}\ln(x^2+a^2)
+$$
+<<*>>=
+)clear all
+
+--S 13 of 38
+aa:=integrate(atan(x/a),x)
+--R 
+--R
+--R                 2    2             2a x
+--R        - a log(x  + a ) - x atan(-------)
+--R                                   2    2
+--R                                  x  - a
+--R   (1)  ----------------------------------
+--R                         2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.484~~~~~$\displaystyle
+\int{x\tan^{-1}\frac{x}{a}}~dx$}
+$$\int{x\tan^{-1}\frac{x}{a}}=
+\frac{1}{2}(x^2+a^2)\tan^{-1}\frac{x}{a}-\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 38
+aa:=integrate(x*tan(x/a),x)
+--R 
+--R
+--R           x
+--I         ++         %H
+--I   (1)   |   %H tan(--)d%H
+--R        ++           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.485~~~~~$\displaystyle
+\int{x^2\tan^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\tan^{-1}\frac{x}{a}}=
+\frac{x^3}{3}\tan^{-1}\frac{x}{a}-\frac{ax^2}{6}+\frac{a^3}{6}\ln(x^2+a^2)
+$$
+<<*>>=
+)clear all
+
+--S 15 of 38
+aa:=integrate(x^2*atan(x/a),x)
+--R 
+--R
+--R         3     2    2     3       2a x        2
+--R        a log(x  + a ) - x atan(-------) - a x
+--R                                 2    2
+--R                                x  - a
+--R   (1)  ---------------------------------------
+--R                           6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.486~~~~~$\displaystyle
+\int{\frac{\tan^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\tan^{-1}(x/a)}{x}}=
+\frac{x}{a}-\frac{(x/a)^3}{3^2}+\frac{(x/a)^5}{5^2}-\frac{(x/a)^7}{7^2}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 16 of 38
+aa:=integrate(atan(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x atan(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.487~~~~~$\displaystyle
+\int{\frac{\tan^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\tan^{-1}(x/a)}{x^2}}=
+-\frac{1}{x}\tan^{-1}\frac{x}{a}
+-\frac{1}{2a}\ln\left(\frac{x^2+a^2}{x^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 17 of 38
+aa:=integrate(atan(x/a)/x^2,x)
+--R 
+--R
+--R                 2    2                         2a x
+--R        - x log(x  + a ) + 2x log(x) + a atan(-------)
+--R                                               2    2
+--R                                              x  - a
+--R   (1)  ----------------------------------------------
+--R                             2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.488~~~~~$\displaystyle
+\int{\cot^{-1}\frac{x}{a}}~dx$}
+$$\int{\cot^{-1}\frac{x}{a}}=
+x\cot^{-1}\frac{x}{a}+\frac{a}{2}\ln(x^2+a^2)
+$$
+<<*>>=
+)clear all
+
+--S 18 of 38
+aa:=integrate(acot(x/a),x)
+--R 
+--R
+--R               2    2             2a x
+--R        a log(x  + a ) + x atan(-------)
+--R                                 2    2
+--R                                x  - a
+--R   (1)  --------------------------------
+--R                        2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.489~~~~~$\displaystyle
+\int{x\cot^{-1}\frac{x}{a}}~dx$}
+$$\int{x\cot^{-1}\frac{x}{a}}=
+\frac{1}{2}(x^2+a^2)\cot^{-1}\frac{x}{a}+\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 19 of 38
+aa:=integrate(x*acot(x/a),x)
+--R 
+--R
+--R          2    2        2a x
+--R        (x  + a )atan(-------) + 2a x
+--R                       2    2
+--R                      x  - a
+--R   (1)  -----------------------------
+--R                      4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.490~~~~~$\displaystyle
+\int{x^2\cot^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\cot^{-1}\frac{x}{a}}=
+\frac{x^3}{3}\cot^{-1}\frac{x}{a}+\frac{ax^2}{6}-\frac{a^3}{6}\ln(x^2+a^2)
+$$
+<<*>>=
+)clear all
+
+--S 20 of 38
+aa:=integrate(x^2*acot(x/a),x)
+--R 
+--R
+--R           3     2    2     3       2a x        2
+--R        - a log(x  + a ) + x atan(-------) + a x
+--R                                   2    2
+--R                                  x  - a
+--R   (1)  -----------------------------------------
+--R                            6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.491~~~~~$\displaystyle
+\int{\frac{\cot^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\cot^{-1}(x/a)}{x}}=
+\frac{\pi}{2}\ln{x}-\int{\frac{\tan^{-1}(x/a)}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 21 of 38
+aa:=integrate(acot(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x acot(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.492~~~~~$\displaystyle
+\int{\frac{\cot^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\cot^{-1}(x/a)}{x^2}}=
+-\frac{cot^{-1}(x/a)}{x}+\frac{1}{2a}\ln\left(\frac{x^2+a^2}{x^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 22 of 38
+aa:=integrate(acot(x/a)/x^2,x)
+--R 
+--R
+--R               2    2                         2a x
+--R        x log(x  + a ) - 2x log(x) - a atan(-------)
+--R                                             2    2
+--R                                            x  - a
+--R   (1)  --------------------------------------------
+--R                            2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.493~~~~~$\displaystyle
+\int{\sec^{-1}\frac{x}{a}}~dx$}
+$$\int{\sec^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+x\sec^{-1}\frac{x}{a}-a\ln(x+\sqrt{x^2-a^2}) 
+{\rm \ if\ }0 < \sec^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+x\sec^{-1}\frac{x}{a}+a\ln(x+\sqrt{x^2-a^2})
+{\rm \ if\ }\frac{\pi}{2} < \sec^{-1}\frac{x}{a} < \pi
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 23 of 38
+aa:=integrate(asec(x/a),x)
+--R 
+--R
+--R   (1)
+--R                          +---------+              +---------+
+--R                      +-+ |   2    2               |   2    2
+--R           +-+     2x\|2 \|- x  + a             2a\|- x  + a
+--R       - a\|2 atan(------------------) + x atan(--------------)
+--R                          2     2                      2
+--R                        3x  - 2a                      x
+--R     + 
+--R                       x
+--R       - 2a atan(------------)
+--R                  +---------+
+--R                  |   2    2
+--R                 \|- x  + a
+--R  /
+--R     2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.494~~~~~$\displaystyle
+\int{x\sec^{-1}\frac{x}{a}}~dx$}
+$$\int{x\sec^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^2}{2}\sec^{-1}\frac{x}{a}-\frac{a\sqrt{x^2-a^2}}{2}
+{\rm \ if\ }0 < \sec^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^2}{2}\sec^{-1}\frac{x}{a}+\frac{a\sqrt{x^2-a^2}}{2}
+{\rm \ if\ }\frac{\pi}{2} < \sec^{-1}\frac{x}{a} < \pi
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 24 of 38
+aa:=integrate(x*asec(x/a),x)
+--R 
+--R
+--R                          +---------+
+--R                          |   2    2        +---------+
+--R          2     2      2a\|- x  + a         |   2    2
+--R        (x  - 2a )atan(--------------) + 2a\|- x  + a
+--R                              2
+--R                             x
+--R   (1)  -----------------------------------------------
+--R                               4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.495~~~~~$\displaystyle
+\int{x^2\sec^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\sec^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^3}{3}\sec^{-1}\frac{x}{a}-\frac{ax\sqrt{x^2-a^2}}{6}
+-\frac{a^3}{6}\ln(x+\sqrt{x^2-a^2})\\
+\\
+\displaystyle
+\hbox{\hskip 3cm}{\rm \ if\ }0 < \sec^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^3}{3}\sec^{-1}\frac{x}{a}+\frac{ax\sqrt{x^2-a^2}}{6}
++\frac{a^3}{6}\ln(x+\sqrt{x^2-a^2})\\
+\\
+\displaystyle
+\hbox{\hskip 3cm}
+{\rm \ if\ }\frac{\pi}{2} < \sec^{-1}\frac{x}{a} < \pi\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 25 of 38
+aa:=integrate(x^2*asec(x/a),x)
+--R 
+--R
+--R   (1)
+--R                            +---------+              +---------+
+--R                        +-+ |   2    2               |   2    2
+--R           3 +-+     2x\|2 \|- x  + a       3     2a\|- x  + a
+--R       - 2a \|2 atan(------------------) + x atan(--------------)
+--R                            2     2                      2
+--R                          3x  - 2a                      x
+--R     + 
+--R                                     +---------+
+--R           3           x             |   2    2
+--R       - 5a atan(------------) + a x\|- x  + a
+--R                  +---------+
+--R                  |   2    2
+--R                 \|- x  + a
+--R  /
+--R     6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.496~~~~~$\displaystyle
+\int{\frac{\sec^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\sec^{-1}(x/a)}{x}}=
+\frac{\pi}{2}\ln{x}+\frac{a}{x}+\frac{(a/x)^3}{2\cdot 3\cdot 3}
++\frac{1\cdot 3(a/x)^5}{2\cdot 4\cdot 5\cdot 5}
++\frac{1\cdot 3\cdot 5(a/x)^7}{2\cdot 4\cdot 6\cdot 7\cdot 7}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 26 of 38
+aa:=integrate(asec(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x asec(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.497~~~~~$\displaystyle
+\int{\frac{\sec^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\sec^{-1}(x/a)}{x^2}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+-\frac{\sec^{-1}(x/a)}{x}+\frac{\sqrt{x^2-a^2}}{ax}
+{\rm \ if\ }0 < \sec^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+-\frac{\sec^{-1}(x/a)}{x}-\frac{\sqrt{x^2-a^2}}{ax}
+{\rm \ if\ }\frac{\pi}{2} < \sec^{-1}\frac{x}{a} < \pi\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 27 of 38
+aa:=integrate(asec(x/a)/x^2,x)
+--R 
+--R
+--R                      +---------+                 +---------+
+--R                  +-+ |   2    2                  |   2    2
+--R               2x\|2 \|- x  + a        +-+     2a\|- x  + a
+--R        x atan(------------------) - a\|2 atan(--------------)
+--R                      2     2                         2
+--R                    3x  - 2a                         x
+--R   (1)  ------------------------------------------------------
+--R                                    +-+
+--R                               2a x\|2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.498~~~~~$\displaystyle
+\int{\csc^{-1}\frac{x}{a}}~dx$}
+$$\int{\csc^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+x\csc^{-1}\frac{x}{a}+a\ln(x+\sqrt{x^2-a^2})
+{\rm \ if\ }0 < \csc^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+x\csc^{-1}\frac{x}{a}-a\ln(x+\sqrt{x^2-a^2})
+{\rm \ if\ }-\frac{\pi}{2} < \csc^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 28 of 38
+aa:=integrate(acsc(x/a),x)
+--R 
+--R
+--R   (1)
+--R                        +---------+              +---------+
+--R                    +-+ |   2    2               |   2    2
+--R         +-+     2x\|2 \|- x  + a             2a\|- x  + a
+--R       a\|2 atan(------------------) - x atan(--------------)
+--R                        2     2                      2
+--R                      3x  - 2a                      x
+--R     + 
+--R                     x
+--R       2a atan(------------)
+--R                +---------+
+--R                |   2    2
+--R               \|- x  + a
+--R  /
+--R     2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.499~~~~~$\displaystyle
+\int{x\csc^{-1}\frac{x}{a}}~dx$}
+$$\int{x\csc^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^2}{2}\csc^{-1}\frac{x}{a}+\frac{a\sqrt{x^2-a^2}}{2}
+{\rm \ if\ }0 < \csc^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^2}{2}\csc^{-1}\frac{x}{a}-\frac{a\sqrt{x^2-a^2}}{2}
+{\rm \ if\ }-\frac{\pi}{2} < \csc^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 29 of 38
+aa:=integrate(x*acsc(x/a),x)
+--R 
+--R
+--R                            +---------+
+--R                            |   2    2        +---------+
+--R            2     2      2a\|- x  + a         |   2    2
+--R        (- x  + 2a )atan(--------------) - 2a\|- x  + a
+--R                                2
+--R                               x
+--R   (1)  -------------------------------------------------
+--R                                4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.500~~~~~$\displaystyle
+\int{x^2\csc^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\csc^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^3}{3}\csc^{-1}\frac{x}{a}+\frac{ax\sqrt{x^2-a^2}}{6}
++\frac{a^3}{6}\ln(x+\sqrt{x^2-a^2})\\
+\\
+\displaystyle
+\hbox{\hskip 3cm}{\rm \ if\ }0 < \csc^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^3}{3}\sec^{-1}\frac{x}{a}-\frac{ax\sqrt{x^2-a^2}}{6}
+-\frac{a^3}{6}\ln(x+\sqrt{x^2-a^2})\\
+\\
+\displaystyle
+\hbox{\hskip 3cm}
+{\rm \ if\ }-\frac{\pi}{2} < \csc^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 30 of 38
+aa:=integrate(x^2*acsc(x/a),x)
+--R 
+--R
+--R   (1)
+--R                          +---------+              +---------+
+--R                      +-+ |   2    2               |   2    2
+--R         3 +-+     2x\|2 \|- x  + a       3     2a\|- x  + a
+--R       2a \|2 atan(------------------) - x atan(--------------)
+--R                          2     2                      2
+--R                        3x  - 2a                      x
+--R     + 
+--R                                   +---------+
+--R         3           x             |   2    2
+--R       5a atan(------------) - a x\|- x  + a
+--R                +---------+
+--R                |   2    2
+--R               \|- x  + a
+--R  /
+--R     6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.501~~~~~$\displaystyle
+\int{\frac{\csc^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\csc^{-1}(x/a)}{x}}=
+-\left(\frac{a}{x}+\frac{(a/x)^3}{2\cdot 3\cdot 3}
++\frac{1\cdot 3(a/x)^5}{2\cdot 4\cdot 5\cdot 5}
++\frac{1\cdot 3\cdot 5(a/x)^7}{2\cdot 4\cdot 6\cdot 7\cdot 7}+\cdots\right)
+$$
+<<*>>=
+)clear all
+
+--S 31 of 38
+aa:=integrate(acsc(x/a)/x,x)
+--R 
+--R
+--I                  %H
+--R           x acsc(--)
+--R         ++        a
+--I   (1)   |   -------- d%H
+--I        ++      %H
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.502~~~~~$\displaystyle
+\int{\frac{\csc^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\csc^{-1}(x/a)}{x^2}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+-\frac{csc^{-1}(x/a)}{x}-\frac{\sqrt{x^2-a^2}}{ax}
+{\rm \ if\ }0 < \csc^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+-\frac{csc^{-1}(x/a)}{x}+\frac{\sqrt{x^2-a^2}}{ax}
+{\rm \ if\ }-\frac{\pi}{2} < \csc^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 32 of 38
+aa:=integrate(acsc(x/a)/x^2,x)
+--R 
+--R
+--R                        +---------+                 +---------+
+--R                    +-+ |   2    2                  |   2    2
+--R                 2x\|2 \|- x  + a        +-+     2a\|- x  + a
+--R        - x atan(------------------) + a\|2 atan(--------------)
+--R                        2     2                         2
+--R                      3x  - 2a                         x
+--R   (1)  --------------------------------------------------------
+--R                                     +-+
+--R                                2a x\|2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.503~~~~~$\displaystyle
+\int{x^m\sin^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\sin^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\sin^{-1}\frac{x}{a}-\frac{1}{m+1}\int{\frac{x^{m+1}}{\sqrt{a^2-x^2}}}
+$$
+<<*>>=
+)clear all
+
+--S 33 of 38
+aa:=integrate(x^m*asin(x/a),x)
+--R 
+--R
+--R           x
+--I         ++       %H   m
+--I   (1)   |   asin(--)%H d%H
+--R        ++         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.504~~~~~$\displaystyle
+\int{x^m\cos^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\cos^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\cos^{-1}\frac{x}{a}+\frac{1}{m+1}\int{\frac{x^{m+1}}{\sqrt{a^2-x^2}}}
+$$
+<<*>>=
+)clear all
+
+--S 34 of 38
+aa:=integrate(x^m*acos(x/a),x)
+--R 
+--R
+--R           x
+--I         ++       %H   m
+--I   (1)   |   acos(--)%H d%H
+--R        ++         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.505~~~~~$\displaystyle
+\int{x^m\tan^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\tan^{-1}\frac{x}{a}}=
+\frac{x^{m_1}}{m+1}\tan^{-1}\frac{x}{a}
+-\frac{a}{m+1}\int{\frac{x^{m+1}}{x^2+a^2}}
+$$
+<<*>>=
+)clear all
+
+--S 35 of 38
+aa:=integrate(x*m*atan(x/a),x)
+--R 
+--R
+--R              2    2         2a x
+--R        (- m x  - a m)atan(-------) - 2a m x
+--R                            2    2
+--R                           x  - a
+--R   (1)  ------------------------------------
+--R                          4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.506~~~~~$\displaystyle
+\int{x^m\cot^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\cot^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\cot^{-1}\frac{x}{a}
++\frac{a}{m+1}\int{\frac{x^{m+1}}{x^2+a^2}}
+$$
+<<*>>=
+)clear all
+
+--S 36 of 38
+aa:=integrate(x^m*acot(x/a),x)
+--R 
+--R
+--R           x
+--I         ++       %H   m
+--I   (1)   |   acot(--)%H d%H
+--R        ++         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.507~~~~~$\displaystyle
+\int{x^m\sec^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\sec^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^{m+1}\sec^{-1}(x/a)}{m+1}-\frac{a}{m+1}\int{\frac{x^m}{\sqrt{x^2-a^2}}}
+{\rm \ if\ }0 < \sec^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^{m+1}\sec^{-1}(x/a)}{m+1}+\frac{a}{m+1}\int{\frac{x^m}{\sqrt{x^2-a^2}}}
+{\rm \ if\ }\frac{\pi}{2} < \sec^{-1}\frac{x}{a} < \pi\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 37 of 38
+aa:=integrate(x^m*asec(x/a),x)
+--R 
+--R
+--R           x
+--I         ++       %H   m
+--I   (1)   |   asec(--)%H d%H
+--R        ++         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.508~~~~~$\displaystyle
+\int{x^m\csc^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\csc^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{x^{m+1}\csc^{-1}(x/a)}{m+1}+\frac{a}{m+1}\int{\frac{x^m}{\sqrt{x^2-a^2}}}
+{\rm \ if\ }0 < \csc^{-1}\frac{x}{a} < \frac{\pi}{2}\\
+\\
+\displaystyle
+\frac{x^{m+1}\csc^{-1}(x/a)}{m+1}-\frac{a}{m+1}\int{\frac{x^m}{\sqrt{x^2-a^2}}}
+{\rm \ if\ }-\frac{\pi}{2} < \csc^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 38 of 38
+aa:=integrate(x^m*acsc(x/a),x)
+--R 
+--R
+--R           x
+--I         ++       %H   m
+--I   (1)   |   acsc(--)%H d%H
+--R        ++         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp82-84
+\end{thebibliography}
+\end{document}
